My Project: dgHACDClusterGraph::dgHACDConveHull Class Reference

My Project

Classes | Public Member Functions | Public Attributes | List of all members
dgHACDClusterGraph::dgHACDConveHull Class Reference
Inheritance diagram for dgHACDClusterGraph::dgHACDConveHull:

## Public Member Functions

| dgHACDConveHull (const dgHACDConveHull &hull)
| dgHACDConveHull (dgMemoryAllocator *const allocator, const dgBigVector *const points, dgInt32 count)
dgFloat64 | CalculateTriangleConcavity (const dgBigVector &normal, dgInt32 i0, dgInt32 i1, dgInt32 i2, const dgBigVector *const points)
dgFloat64 | FaceRayCast (const dgConvexHull3DFace *const face, const dgBigVector &origin, const dgBigVector &dist, dgFloat64 &normalProjection) const
dgConvexHull3DFace * | ClosestFaceVertexToPoint (const dgBigVector &point)
dgFloat64 | RayCast (const dgBigVector &localP0, const dgBigVector &localP1, dgConvexHull3DFace **firstFaceGuess)
Public Member Functions inherited from dgConvexHull3d
| dgConvexHull3d (const dgConvexHull3d &source)
| dgConvexHull3d (dgMemoryAllocator *const allocator, const dgFloat64 *const vertexCloud, dgInt32 strideInBytes, dgInt32 count, dgFloat64 distTol, dgInt32 maxVertexCount=0x7fffffff)
virtual | ~dgConvexHull3d ()
dgInt32 | GetVertexCount () const
const dgBigVector * | GetVertexPool () const
const dgBigVector & | GetVertex (dgInt32 i) const
dgFloat64 | GetDiagonal () const
void | GetAABB (dgBigVector &boxP0, dgBigVector &boxP1) const
dgFloat64 | RayCast (const dgBigVector &localP0, const dgBigVector &localP1) const
void | CalculateVolumeAndSurfaceArea (dgFloat64 &volume, dgFloat64 &surcafeArea) const
Public Member Functions inherited from dgList< dgConvexHull3DFace >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgConvexHull3DFace &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgConvexHull3DFace &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgConvexHull3DFace &element) const
dgListNode * | GetNodeFromInfo (dgConvexHull3DFace &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgConvexHull3DFace &element)
void | RemoveAll ()
void | Merge (dgList< dgConvexHull3DFace > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Public Attributes

dgInt32 | m_mark

## Additional Inherited Members

Protected Member Functions inherited from dgConvexHull3d
| dgConvexHull3d (dgMemoryAllocator *const allocator)
void | BuildHull (const dgFloat64 *const vertexCloud, dgInt32 strideInBytes, dgInt32 count, dgFloat64 distTol, dgInt32 maxVertexCount)
virtual dgListNode * | AddFace (dgInt32 i0, dgInt32 i1, dgInt32 i2)
virtual void | DeleteFace (dgListNode *const node)
virtual dgInt32 | InitVertexArray (dgHullVertex *const points, const dgFloat64 *const vertexCloud, dgInt32 strideInBytes, dgInt32 count, void *const memoryPool, dgInt32 maxMemSize)
void | CalculateConvexHull (dgAABBPointTree3d *vertexTree, dgHullVertex *const points, dgInt32 count, dgFloat64 distTol, dgInt32 maxVertexCount)
dgInt32 | BuildNormalList (dgBigVector *const normalArray) const
dgInt32 | SupportVertex (dgAABBPointTree3d **const tree, const dgHullVertex *const points, const dgBigVector &dir) const
dgFloat64 | TetrahedrumVolume (const dgBigVector &p0, const dgBigVector &p1, const dgBigVector &p2, const dgBigVector &p3) const
void | TessellateTriangle (dgInt32 level, const dgVector &p0, const dgVector &p1, const dgVector &p2, dgInt32 &count, dgBigVector *const ouput, dgInt32 &start) const
dgAABBPointTree3d * | BuildTree (dgAABBPointTree3d *const parent, dgHullVertex *const points, dgInt32 count, dgInt32 baseIndex, dgInt8 **const memoryPool, dgInt32 &maxMemSize) const
bool | Sanity () const
Static Protected Member Functions inherited from dgConvexHull3d
static dgInt32 | ConvexCompareVertex (const dgHullVertex *const A, const dgHullVertex *const B, void *const context)
Protected Attributes inherited from dgConvexHull3d
dgInt32 | m_count
dgFloat64 | m_diag
dgBigVector | m_aabbP0
dgBigVector | m_aabbP1
dgArray< dgBigVector > | m_points

## Constructor & Destructor Documentation

## § dgHACDConveHull() [1/2]

dgHACDClusterGraph::dgHACDConveHull::dgHACDConveHull | ( | const dgHACDConveHull & | hull | ) |

inline

## § dgHACDConveHull() [2/2]

dgHACDClusterGraph::dgHACDConveHull::dgHACDConveHull | ( | dgMemoryAllocator *const | allocator,
|  | const dgBigVector *const | points,
|  | dgInt32 | count
| ) |  |

inline

## Member Function Documentation

## § CalculateTriangleConcavity()

dgFloat64 dgHACDClusterGraph::dgHACDConveHull::CalculateTriangleConcavity | ( | const dgBigVector & | normal,
|  | dgInt32 | i0,
|  | dgInt32 | i1,
|  | dgInt32 | i2,
|  | const dgBigVector *const | points
| ) |  |

inline

## § ClosestFaceVertexToPoint()

dgConvexHull3DFace* dgHACDClusterGraph::dgHACDConveHull::ClosestFaceVertexToPoint | ( | const dgBigVector & | point | ) |

inline

## § FaceRayCast()

dgFloat64 dgHACDClusterGraph::dgHACDConveHull::FaceRayCast | ( | const dgConvexHull3DFace *const | face,
|  | const dgBigVector & | origin,
|  | const dgBigVector & | dist,
|  | dgFloat64 & | normalProjection
| ) |  | const

inline

## § RayCast()

dgFloat64 dgHACDClusterGraph::dgHACDConveHull::RayCast | ( | const dgBigVector & | localP0,
|  | const dgBigVector & | localP1,
|  | dgConvexHull3DFace ** | firstFaceGuess
| ) |  |

inline

## Member Data Documentation

## § m_mark

dgInt32 dgHACDClusterGraph::dgHACDConveHull::m_mark

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect3.cpp